Bug 818102 - Review Request: ghc-network-conduit - Stream socket data using conduits
Review Request: ghc-network-conduit - Stream socket data using conduits
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 784559
  Show dependency treegraph
 
Reported: 2012-05-02 04:43 EDT by Jens Petersen
Modified: 2012-06-11 20:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-11 20:28:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lakshminaras2002: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Narasimhan 2012-05-31 04:15:11 EDT
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.
rpmlint  -i ghc-network-conduit-0.4.0-1.fc15.x86_64.rpm ghc-network-conduit-devel-0.4.0-1.fc15.x86_64.rpm ghc-network-conduit-0.4.0-1.fc15.src.rpm ../ghc-network-conduit.spec 
3 packages and 1 specfiles checked; 0 errors, 0 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.

[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK, in devel package

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
License is BSD.
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
LICENSE file is included
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.
md5sum network-conduit-0.4.0.tar.gz 
18f519a97fe073c491fb59996316dfa0  network-conduit-0.4.0.tar.gz

ghc-network-conduit-0.4.0-1.fc16.src/network-conduit-0.4.0.tar.gz 
18f519a97fe073c491fb59996316dfa0  ghc-network-conduit-0.4.0-1.fc16.src/network-conduit-0.4.0.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on x86_64.
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list.
[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides.
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
Checked with ls -lR.
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissible content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
rpm -e ghc-network-conduit-0.4.0-1.fc15.x86_64
error: Failed dependencies:
        ghc(network-conduit-0.4.0) = b6232cae1af4a8da732fbb7771b81dc5 is needed by (installed) ghc-network-conduit-devel-0.4.0-1.fc15.x86_64
        ghc-network-conduit = 0.4.0-1.fc15 is needed by (installed) ghc-network-conduit-devel-0.4.0-1.fc15.x86_64
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+]SHOULD: The reviewer should test that the package functions as described.
Loaded Data.Conduit.Network into ghci.Loads fine.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

cabal2spec-diff is OK.
Comment 2 Jens Petersen 2012-06-01 02:24:12 EDT
Great thanks for reviewing.

Finally now we can update wai and warp in F17 to 1.x versions. :)


New Package SCM Request
=======================
Package Name: ghc-network-conduit
Short Description: Stream socket data conduits
Owners: petersen
Branches: f16 f17 el6
InitialCC: haskell-sig
Comment 3 Jon Ciesla 2012-06-01 08:45:16 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2012-06-02 01:04:36 EDT
ghc-network-conduit-0.4.0-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ghc-network-conduit-0.4.0-1.fc17
Comment 5 Fedora Update System 2012-06-02 19:58:54 EDT
ghc-network-conduit-0.4.0-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 6 Fedora Update System 2012-06-11 20:28:19 EDT
ghc-network-conduit-0.4.0-1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.